#!/usr/bin/python

from setuptools import setup, find_packages
import glob

setup(
    name = 'nw_config',
    version = '0.3',
    description='GUI Configurator for New Wave based pixmap themes',
    author='Anton Kerezov',
    author_email='ankere@gmail.com',
    url='https://code.launchpad.net/~ubuntu-new-wave/anton/nw-config',
    license='GPL-3',
    packages=['nw_config'],
    entry_points={'gui_scripts': ['nw-config = nw_config.nw_conf:LaunchPicker']},
    package_dir={'nw_config': 'nw_config'},
    package_data={'nw_config': ['nw_conf_main.glade', 'nw_conf_about.glade', 'nw_conf_picker.glade', 'NWIcon.png', 'PanelThemes/*']},
    data_files=[('share/icons/hicolor/16x16/apps', glob.glob('data/icons/16x16/nw-conf.png')),
   	('share/icons/hicolor/22x22/apps', glob.glob('data/icons/22x22/nw-conf.png')),
   	('share/icons/hicolor/24x24/apps', glob.glob('data/icons/24x24/nw-conf.png')),
   	('share/icons/hicolor/32x32/apps', glob.glob('data/icons/32x32/nw-conf.png')),
   	('share/icons/hicolor/36x36/apps', glob.glob('data/icons/36x36/nw-conf.png')),
   	('share/icons/hicolor/48x48/apps', glob.glob('data/icons/48x48/nw-conf.png')),
   	('share/icons/hicolor/64x64/apps', glob.glob('data/icons/64x64/nw-conf.png')),
   	('share/icons/hicolor/72x72/apps', glob.glob('data/icons/72x72/nw-conf.png')),
   	('share/icons/hicolor/96x96/apps', glob.glob('data/icons/96x96/nw-conf.png')),
   	('share/icons/hicolor/128x128/apps', glob.glob('data/icons/128x128/nw-conf.png')),
   	('share/icons/hicolor/192x192/apps', glob.glob('data/icons/192x192/nw-conf.png')),
   	('share/icons/hicolor/256x256/apps', glob.glob('data/icons/256x256/nw-conf.png')),
   	('share/icons/hicolor/scalable/apps', glob.glob('data/icons/scalable/nw-conf.svg')),
        ('share/applications', glob.glob('data/nw-config.desktop')),
        ],
)

